Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl
Interface XMLEntityHandler

All Known Implementing Classes:
  XMLDocumentFragmentScannerImpl, XMLDTDScannerImpl

public interface XMLEntityHandler

The entity handler interface defines methods to report information about the start and end of entities.

Version:
  $Id: XMLEntityHandler.java,v 1.7 2003/05/08 20:11:54 elena Exp $
Author:
  Andy Clark, IBM
See Also:
  `XMLEntityScanner`

Method Summary
`void` | `endEntity(java.lang.String name)` This method notifies the end of an entity.
`void` | `startEntity(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier identifier, java.lang.String encoding)` This method notifies of the start of an entity.

Method Detail

### startEntity

    public void startEntity(java.lang.String name,
                            org.apache.xerces.xni.XMLResourceIdentifier identifier,
                            java.lang.String encoding)
                     throws org.apache.xerces.xni.XNIException

  This method notifies of the start of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entities are just specified by their name.
  Parameters:
    `name` - The name of the entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.apache.xerces.xni.XNIException

  This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entities are just specified by their name.
  Parameters:
    `name` - The name of the entity.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.